
/*
	for menusub.c by Tom Shield
	
	
*/	

/* maximum number of items in a menu */
#define MAX_CHOICE 10
/* maximum number of menus */
#define MAX_MENUS 5
/* vertical border around font in menu pane */
#define V_BORDER 5
/* horizontal border around font in menu pane */
#define H_BORDER 10
/* font used for menu pane */
#define MENU_FONT "9x15"
/* color for disabled menu items (on white background) */
#define DISABLED_COLOR "grey50"

#ifndef YES
	#define YES 1
#endif
#ifndef NO
	#define NO 0
#endif
struct {
	int num_items;
	char label[MAX_CHOICE][10];
	int disable[MAX_CHOICE]; /* 0 = NO 1 = YES */
} menu_info[MAX_MENUS];

XFontStruct *ms_font_info;
Display *ms_display;
int ms_screen;
Colormap ms_colormap;
long ms_foreground,ms_background;

int ms_init(Display *display,int screen,char *fore_color,char *back_color,char *font_name);
int menu_window(int ,int,int);
int paint_pane(Window, Window panes[], GC ngc,GC rgc, GC ggc,int mode,int menu);
